<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KBookmarkGroup</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KBookmarkGroup Class Reference</h1>
<code>from PyKDE4.kio import *</code>
<p>
Inherits: <a href="../kio/KBookmark.html">KBookmark</a><br />


<h2>Detailed Description</h2>


<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202121900">__init__</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202122060">__init__</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdomelement.html">QDomElement</a> elem)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kio/KBookmark.html">KBookmark</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202121932">addBookmark</a> (self, <a href="../kio/KBookmark.html">KBookmark</a> bm)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kio/KBookmark.html">KBookmark</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj162699852">addBookmark</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> text, <a href="../kdecore/KUrl.html">KUrl</a> url, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> icon=QString())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kio/KBookmarkGroup.html">KBookmarkGroup</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202123116">createNewFolder</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> text)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kio/KBookmark.html">KBookmark</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj173295276">createNewSeparator</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj166512588">deleteBookmark</a> (self, <a href="../kio/KBookmark.html">KBookmark</a> bk)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdomelement.html">QDomElement</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj166512076">findToolbar</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kio/KBookmark.html">KBookmark</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202122188">first</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">[<a href="../kdecore/KUrl.html">KUrl</a>]&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj166512300">groupUrlList</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202125260">indexOf</a> (self, <a href="../kio/KBookmark.html">KBookmark</a> child)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202123148">isOpen</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj166512748">isToolbarGroup</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj162701132">moveBookmark</a> (self, <a href="../kio/KBookmark.html">KBookmark</a> bookmark, <a href="../kio/KBookmark.html">KBookmark</a> after)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj166511148">moveItem</a> (self, <a href="../kio/KBookmark.html">KBookmark</a> item, <a href="../kio/KBookmark.html">KBookmark</a> after)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kio/KBookmark.html">KBookmark</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202124684">next</a> (self, <a href="../kio/KBookmark.html">KBookmark</a> current)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdomelement.html">QDomElement</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj162628588">nextKnownTag</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdomelement.html">QDomElement</a> start, bool goNext)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kio/KBookmark.html">KBookmark</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202122476">previous</a> (self, <a href="../kio/KBookmark.html">KBookmark</a> current)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj202121900"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Create an invalid group. This is mostly for use in QValueList,
and other places where we need a null group.
Also used as a parent for a bookmark that doesn't have one
(e.g. Netscape bookmarks)
</p></div></div><a class="anchor" name="obj202122060"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdomelement.html">QDomElement</a>&nbsp;</td>
<td class="paramname"><em>elem</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Create a bookmark group as specified by the given element
</p></div></div><a class="anchor" name="obj202121932"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kio/KBookmark.html">KBookmark</a> addBookmark</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KBookmark.html">KBookmark</a>&nbsp;</td>
<td class="paramname"><em>bm</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Create a new bookmark, as the last child of this group
Don't forget to use KBookmarkManager.self()-&gt;emitChanged( parentBookmark );
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>bm</em>&nbsp;</td><td> the bookmark to add
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj162699852"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kio/KBookmark.html">KBookmark</a> addBookmark</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>text</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>icon=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Create a new bookmark, as the last child of this group
Don't forget to use KBookmarkManager.self()-&gt;emitChanged( parentBookmark );
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>text</em>&nbsp;</td><td> for the bookmark

<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the URL that the bookmark points to

<tr><td></td><td valign="top"><em>icon</em>&nbsp;</td><td> the name of the icon to associate with the bookmark. A suitable default
will be determined from the URL if not specified.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj202123116"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kio/KBookmarkGroup.html">KBookmarkGroup</a> createNewFolder</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>text</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Create a new bookmark folder, as the last child of this group
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>text</em>&nbsp;</td><td> for the folder.
If you want an dialog use KBookmarkDialog
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj173295276"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kio/KBookmark.html">KBookmark</a> createNewSeparator</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Create a new bookmark separator
Don't forget to use KBookmarkManager.self()-&gt;emitChanged( parentBookmark );
</p></div></div><a class="anchor" name="obj166512588"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> deleteBookmark</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KBookmark.html">KBookmark</a>&nbsp;</td>
<td class="paramname"><em>bk</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Delete a bookmark - it has to be one of our children !
Don't forget to use KBookmarkManager.self()-&gt;emitChanged( parentBookmark );
</p></div></div><a class="anchor" name="obj166512076"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdomelement.html">QDomElement</a> findToolbar</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
</dd></dl>
</p></div></div><a class="anchor" name="obj202122188"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kio/KBookmark.html">KBookmark</a> first</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Return the first child bookmark of this group
</p></div></div><a class="anchor" name="obj166512300"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">[<a href="../kdecore/KUrl.html">KUrl</a>] groupUrlList</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the list of urls of bookmarks at top level of the group
</dd></dl>
</p></div></div><a class="anchor" name="obj202125260"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int indexOf</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KBookmark.html">KBookmark</a>&nbsp;</td>
<td class="paramname"><em>child</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Return the index of a child bookmark, -1 if not found
</p></div></div><a class="anchor" name="obj202123148"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isOpen</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the bookmark folder is opened in the bookmark editor
</dd></dl>
</p></div></div><a class="anchor" name="obj166512748"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isToolbarGroup</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> true if this is the toolbar group
</dd></dl>
</p></div></div><a class="anchor" name="obj162701132"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool moveBookmark</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KBookmark.html">KBookmark</a>&nbsp;</td>
<td class="paramname"><em>bookmark</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KBookmark.html">KBookmark</a>&nbsp;</td>
<td class="paramname"><em>after</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Moves <b>bookmark</b> after <b>after</b> (which should be a child of ours).
If after is null, <b>bookmark</b> is moved as the first child.
Don't forget to use KBookmarkManager.self()-&gt;emitChanged( parentBookmark );
</p></div></div><a class="anchor" name="obj166511148"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool moveItem</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KBookmark.html">KBookmark</a>&nbsp;</td>
<td class="paramname"><em>item</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KBookmark.html">KBookmark</a>&nbsp;</td>
<td class="paramname"><em>after</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj202124684"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kio/KBookmark.html">KBookmark</a> next</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KBookmark.html">KBookmark</a>&nbsp;</td>
<td class="paramname"><em>current</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Return the next sibling of a child bookmark of this group
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>current</em>&nbsp;</td><td> has to be one of our child bookmarks.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj162628588"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdomelement.html">QDomElement</a> nextKnownTag</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdomelement.html">QDomElement</a>&nbsp;</td>
<td class="paramname"><em>start</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>goNext</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj202122476"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kio/KBookmark.html">KBookmark</a> previous</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KBookmark.html">KBookmark</a>&nbsp;</td>
<td class="paramname"><em>current</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Return the prevous sibling of a child bookmark of this group
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>current</em>&nbsp;</td><td> has to be one of our child bookmarks.
</td></tr>
</table></dl>
<p>
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
